Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.loader.rmi
Interface RemoteTreeCache

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  RemoteTreeCacheImpl

    public interface RemoteTreeCache

extends java.rmi.Remote

Remote interface to a `TreeCache` instance. Used by `RmiDelegatingCacheLoader`.

Version:
  $Id: RemoteTreeCache.java,v 1.6 2006/02/21 22:54:35 bstansberry Exp $
Author:
  Daniel Gredler

Method Summary
`boolean` | `exists(Fqn name)`
`Node` | `get(Fqn name)`
`java.lang.Object` | `get(Fqn name, java.lang.Object key)`
`java.util.Set` | `getChildrenNames(Fqn fqn)`
`void` | `put(Fqn name, java.util.Map attributes)`
`java.lang.Object` | `put(Fqn name, java.lang.Object key, java.lang.Object value)`
`void` | `put(java.util.List modifications)`
`void` | `remove(Fqn name)`
`java.lang.Object` | `remove(Fqn name, java.lang.Object key)`
`void` | `removeData(Fqn name)`

Method Detail

### getChildrenNames

    java.util.Set getChildrenNames(Fqn fqn)
                                   throws java.lang.Exception,
                                          java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### get

    java.lang.Object get(Fqn name,
                         java.lang.Object key)
                         throws java.lang.Exception,
                                java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### get

    Node get(Fqn name)
             throws java.lang.Exception,
                    java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### exists

    boolean exists(Fqn name)
                   throws java.lang.Exception,
                          java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### put

    java.lang.Object put(Fqn name,
                         java.lang.Object key,
                         java.lang.Object value)
                         throws java.lang.Exception,
                                java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### put

    void put(Fqn name,
             java.util.Map attributes)
             throws java.lang.Exception,
                    java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### put

    void put(java.util.List modifications)
             throws java.lang.Exception,
                    java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### remove

    java.lang.Object remove(Fqn name,
                            java.lang.Object key)
                            throws java.lang.Exception,
                                   java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### remove

    void remove(Fqn name)
                throws java.lang.Exception,
                       java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### removeData

    void removeData(Fqn name)
                    throws java.lang.Exception,
                           java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.